# Add On Products Add On Products ## Gets all of the add on products in the system. - [GET /addOnProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/listaddonproducts.md): This method will scan all add on products and and return them to the caller. ## Creates a new add on product record that does not already exist. - [POST /addOnProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/createaddonproduct.md): This method will auto-generate an ID and create a new add on product. If an ID is specified for the add on product, an error will be thrown. ## Returns a list of records with the specified add_on_id - [GET /addOnProducts/{tenantId}/addOn/{add_on_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/listproductsbyaddonid.md): Returns a list of records with the specified add_on_id ## Execute Batch Operations - [POST /addOnProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a add on product from the system by its ID. - [DELETE /addOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/deleteaddonproduct.md): This method will delete a add on product with the specified ID. ## Returns a add on product from the system by its ID. - [GET /addOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/getaddonproduct.md): This method will look up a add on product by the specified ID and return it back. ## Partially updates a add on product with the specified ID. - [PATCH /addOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/patchaddonproduct.md): This method will patch an existing add on product with the specified ID, using the HTTP PATCH specification. ## Updates a add on product with the specified ID. - [PUT /addOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/updateaddonproduct.md): This method will update an existing add on product with the specified ID.